2019-08-14 15:43:56 UTC
286 MB
1.11.13
GOPATH/go
PATH/go/bin:/usr/local/go/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
[#000] sha256:b4a4bca0d7af00bc3950aaa29df517575c6013125bf7703cc1f837dfb03b1c94 - 17.03% (48.8 MB)
[#001] sha256:5be8b0cc56289fab7bce14e9abc2f2ad73c4d14695a843e0ad8eacf998985942 - 2.65% (7.6 MB)
[#002] sha256:0ad8d5e33931ccdd6125cc0e14b365a26843c25df8a9652b3315fedd0844f9f3 - 3.44% (9.84 MB)
[#003] sha256:54bf38013f5490844713cccf575ae474c2b64319635421004a21d4cada752b26 - 17.77% (50.9 MB)
[#004] sha256:05ef65ef7cbc811353155cc93eddc7663b46d47fdc5864e616fe1c031d51187f - 24.43% (69.9 MB)
[#005] sha256:a88b19b5139d84458a6dda2f179e1b5117141f12e510496a04d24658860a8902 - 34.67% (99.3 MB)
[#006] sha256:ae9c4e23879e1d28303e47c12db456220ac0b629cedd0066bbdc60222897d1e5 - 0.0% (125 Bytes)
/bin/sh -c #(nop) ADD file:a59f7e5f9e5c9e674176eed94b06ef9d74ede80a8feb34110d4c8065a06277d3 in /
2019-08-14 00:40:49 UTC/bin/sh -c #(nop) CMD ["bash"]
2019-08-14 06:08:32 UTC/bin/sh -c apt-get update && apt-get install -y --no-install-recommends ca-certificates curl netbase wget && rm -rf /var/lib/apt/lists/*
2019-08-14 06:08:41 UTC/bin/sh -c set -ex; if ! command -v gpg > /dev/null; then apt-get update; apt-get install -y --no-install-recommends gnupg dirmngr ; rm -rf /var/lib/apt/lists/*; fi
2019-08-14 06:09:07 UTC/bin/sh -c apt-get update && apt-get install -y --no-install-recommends git mercurial openssh-client subversion procps && rm -rf /var/lib/apt/lists/*
2019-08-14 15:41:48 UTC/bin/sh -c apt-get update && apt-get install -y --no-install-recommends g++ gcc libc6-dev make pkg-config && rm -rf /var/lib/apt/lists/*
2019-08-14 15:43:41 UTC/bin/sh -c #(nop) ENV GOLANG_VERSION=1.11.13
2019-08-14 15:43:54 UTC/bin/sh -c set -eux; dpkgArch="$(dpkg --print-architecture)"; case "${dpkgArch##*-}" in amd64) goRelArch='linux-amd64'; goRelSha256='50fe8e13592f8cf22304b9c4adfc11849a2c3d281b1d7e09c924ae24874c6daa' ;; armhf) goRelArch='linux-armv6l'; goRelSha256='513eb46158917662e1588cb89f51d11839730e46847778646c36c69c687bfdc5' ;; arm64) goRelArch='linux-arm64'; goRelSha256='e94329c97b38b5bffe9c18e84e9f521dc995e02df7696897a7626293da9ac593' ;; i386) goRelArch='linux-386'; goRelSha256='282e20167a7aaaba7b23de980696e1944a004efd0079e80d675d66b263ef595b' ;; ppc64el) goRelArch='linux-ppc64le'; goRelSha256='ad3c7397ddd41a5af9d9bf3c560d3d0f8c1bdef4ac4d21819a021ea88e25efca' ;; s390x) goRelArch='linux-s390x'; goRelSha256='bd00bd27e641450f165a37a83f1e83a4ef3c626ef5675b77184e9c0147257657' ;; *) goRelArch='src'; goRelSha256='5032095fd3f641cafcce164f551e5ae873785ce7b07ca7c143aecd18f7ba4076'; echo >&2; echo >&2 "warning: current architecture ($dpkgArch) does not have a corresponding Go binary release; will be building from source"; echo >&2 ;; esac; url="https://golang.org/dl/go${GOLANG_VERSION}.${goRelArch}.tar.gz"; wget -O go.tgz "$url"; echo "${goRelSha256} *go.tgz" | sha256sum -c -; tar -C /usr/local -xzf go.tgz; rm go.tgz; if [ "$goRelArch" = 'src' ]; then echo >&2; echo >&2 'error: UNIMPLEMENTED'; echo >&2 'TODO install golang-any from jessie-backports for GOROOT_BOOTSTRAP (and uninstall after build)'; echo >&2; exit 1; fi; export PATH="/usr/local/go/bin:$PATH"; go version
2019-08-14 15:43:55 UTC/bin/sh -c #(nop) ENV GOPATH=/go
2019-08-14 15:43:55 UTC/bin/sh -c #(nop) ENV PATH=/go/bin:/usr/local/go/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
2019-08-14 15:43:56 UTC/bin/sh -c mkdir -p "$GOPATH/src" "$GOPATH/bin" && chmod -R 777 "$GOPATH"
2019-08-14 15:43:56 UTC/bin/sh -c #(nop) WORKDIR /go
2019-08-14 00:53:31 UTC
2.16 GB
668d16a799dd721ed126cc91bed49eb2c072ba1b25b50048280a4e2c5ed56e59
GIT_DOWNLOAD_URLhttps://github.com/git-for-windows/git/releases/download/v2.11.1.windows.1/MinGit-2.11.1-64-bit.zip
GIT_TAGv2.11.1.windows.1
GIT_VERSION2.11.1
GOLANG_VERSION1.11.13
GOPATHC:\gopath
[#000] sha256:65014b3c312172f10bd6701a063f9b5aaf9a916c2d2cb843d406a6f77ded3f8d - 66.18% (1.43 GB)
[#001] sha256:e7a74de96ddd92684be53d574a43478c79c354fd328bf65d1efd9c4fb6bf29f4 - 27.0% (597 MB)
[#002] sha256:49e8b556e9f23d14a64e75a20243fad37f4429d9a29d8cb9fb084196bac2de5d - 0.0% (1.18 KB)
[#003] sha256:a9a7bfcc225796a3792d6eaefeffbd2c6c261d56dcfdb10bca22a1cbd128d6cb - 0.0% (1.17 KB)
[#004] sha256:2f7207398804693630e8b05adb375451974c6b7c5f1d5825feb471d6f5620582 - 0.0% (1.18 KB)
[#005] sha256:e2b2d9de546f619698e8ea94803ab9a2d94a0699bceace7938dac83ef0e99437 - 0.0% (1.15 KB)
[#006] sha256:8d8db49b48f004e4768a4b9edd3d965990a1353a69b6325b83730d88f716c2bf - 0.0% (1.18 KB)
[#007] sha256:a54004d7266ffbe75a23db50e689668d2373fc034f971f659f455f167979e7e8 - 1.24% (27.5 MB)
[#008] sha256:bacf9c73615357841b65e8e81ef3d273a8920e6695e4684fca0c74345b64e12b - 0.0% (1.16 KB)
[#009] sha256:9531ff8d766637ed4fc53fa834505f51621208c436eb2abf12113f8ee9cc87bc - 0.01% (288 KB)
[#010] sha256:e585f3e64d75937273fff5c0fd3c03d838a1138be3a68750bc72bda75567eede - 0.0% (1.15 KB)
[#011] sha256:1561c77277e2a74aec3f30ee07b9e7dee4562f81dfd5c4206ba0abdf8e1552ef - 5.57% (123 MB)
[#012] sha256:43d6a139c3783440c34a3584d1c2ee5ae37917d239bf228f867c0d3193c71e0d - 0.0% (1.3 KB)
Apply image 1809-RTM-amd64
2019-08-09 16:30:23 UTCInstall update 1809-amd64
2019-08-13 23:19:21 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) SHELL [powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue';]
2019-08-13 23:19:22 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV GIT_VERSION=2.11.1
2019-08-13 23:19:23 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV GIT_TAG=v2.11.1.windows.1
2019-08-13 23:19:24 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV GIT_DOWNLOAD_URL=https://github.com/git-for-windows/git/releases/download/v2.11.1.windows.1/MinGit-2.11.1-64-bit.zip
2019-08-13 23:19:26 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV GIT_DOWNLOAD_SHA256=668d16a799dd721ed126cc91bed49eb2c072ba1b25b50048280a4e2c5ed56e59
2019-08-13 23:20:38 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; Write-Host ('Downloading {0} ...' -f $env:GIT_DOWNLOAD_URL); [Net.ServicePointManager]::SecurityProtocol = [Net.SecurityProtocolType]::Tls12; Invoke-WebRequest -Uri $env:GIT_DOWNLOAD_URL -OutFile 'git.zip'; Write-Host ('Verifying sha256 ({0}) ...' -f $env:GIT_DOWNLOAD_SHA256); if ((Get-FileHash git.zip -Algorithm sha256).Hash -ne $env:GIT_DOWNLOAD_SHA256) { Write-Host 'FAILED!'; exit 1; }; Write-Host 'Expanding ...'; Expand-Archive -Path git.zip -DestinationPath C:\git\.; Write-Host 'Removing ...'; Remove-Item git.zip -Force; Write-Host 'Updating PATH ...'; $env:PATH = 'C:\git\cmd;C:\git\mingw64\bin;C:\git\usr\bin;' + $env:PATH; [Environment]::SetEnvironmentVariable('PATH', $env:PATH, [EnvironmentVariableTarget]::Machine); Write-Host 'Verifying install ...'; Write-Host ' git --version'; git --version; Write-Host 'Complete.';
2019-08-13 23:20:40 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV GOPATH=C:\gopath
2019-08-13 23:21:10 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; $newPath = ('{0}\bin;C:\go\bin;{1}' -f $env:GOPATH, $env:PATH); Write-Host ('Updating PATH: {0}' -f $newPath); [Environment]::SetEnvironmentVariable('PATH', $newPath, [EnvironmentVariableTarget]::Machine);
2019-08-14 00:48:31 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV GOLANG_VERSION=1.11.13
2019-08-14 00:53:29 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; $url = ('https://golang.org/dl/go{0}.windows-amd64.zip' -f $env:GOLANG_VERSION); Write-Host ('Downloading {0} ...' -f $url); Invoke-WebRequest -Uri $url -OutFile 'go.zip'; $sha256 = '55752de84439d0ed744ad681ae0915314516e69091fb86cab9701628ce3a65ff'; Write-Host ('Verifying sha256 ({0}) ...' -f $sha256); if ((Get-FileHash go.zip -Algorithm sha256).Hash -ne $sha256) { Write-Host 'FAILED!'; exit 1; }; Write-Host 'Expanding ...'; Expand-Archive go.zip -DestinationPath C:\; Write-Host 'Verifying install ("go version") ...'; go version; Write-Host 'Removing ...'; Remove-Item go.zip -Force; Write-Host 'Complete.';
2019-08-14 00:53:31 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) WORKDIR C:\gopath
2019-08-14 16:26:16 UTC
295 MB
1.11.13
GOPATH/go
PATH/go/bin:/usr/local/go/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
[#000] sha256:4ae16bd4778367b46064f39554128dd2fda2803a5747fddeff74059f353391c9 - 16.28% (48 MB)
[#001] sha256:bbab4ec87ac4f89eaabdf68dddbd1dd930e3ad43bded38d761b89abf9389a893 - 2.52% (7.44 MB)
[#002] sha256:2ea1f7804402db2da64e84a26bd591f41667ad69cd7f2a2c6106d9bb04dde260 - 3.22% (9.52 MB)
[#003] sha256:96465440c20877524189ae75d361dd29e5d0df330a8dac9427f972b429fe0159 - 16.73% (49.4 MB)
[#004] sha256:16a3d8aca6cd76595d0fa99f7dcaf6c388c021bc6f5020d794e8292b88e5aac3 - 22.13% (65.3 MB)
[#005] sha256:3a62db25bdbe4e7c767636016ba576308337babc49459fd8f3ceb4ccf2cc1bfe - 39.12% (115 MB)
[#006] sha256:8c47c6b16c607d67ec5d3c87d8ed79c0fcd4f5aa7d8f6cce6bfc871d385c69f5 - 0.0% (126 Bytes)
/bin/sh -c #(nop) ADD file:99bf629976cd3d79c99a16a69ea0b2554f8d122afd1de5412e6ab657510bdbfb in /
2019-08-14 00:21:56 UTC/bin/sh -c #(nop) CMD ["bash"]
2019-08-14 06:12:00 UTC/bin/sh -c apt-get update && apt-get install -y --no-install-recommends ca-certificates curl netbase wget && rm -rf /var/lib/apt/lists/*
2019-08-14 06:12:08 UTC/bin/sh -c set -ex; if ! command -v gpg > /dev/null; then apt-get update; apt-get install -y --no-install-recommends gnupg dirmngr ; rm -rf /var/lib/apt/lists/*; fi
2019-08-14 06:12:32 UTC/bin/sh -c apt-get update && apt-get install -y --no-install-recommends git mercurial openssh-client subversion procps && rm -rf /var/lib/apt/lists/*
2019-08-14 16:24:08 UTC/bin/sh -c apt-get update && apt-get install -y --no-install-recommends g++ gcc libc6-dev make pkg-config && rm -rf /var/lib/apt/lists/*
2019-08-14 16:25:59 UTC/bin/sh -c #(nop) ENV GOLANG_VERSION=1.11.13
2019-08-14 16:26:14 UTC/bin/sh -c set -eux; dpkgArch="$(dpkg --print-architecture)"; case "${dpkgArch##*-}" in amd64) goRelArch='linux-amd64'; goRelSha256='50fe8e13592f8cf22304b9c4adfc11849a2c3d281b1d7e09c924ae24874c6daa' ;; armhf) goRelArch='linux-armv6l'; goRelSha256='513eb46158917662e1588cb89f51d11839730e46847778646c36c69c687bfdc5' ;; arm64) goRelArch='linux-arm64'; goRelSha256='e94329c97b38b5bffe9c18e84e9f521dc995e02df7696897a7626293da9ac593' ;; i386) goRelArch='linux-386'; goRelSha256='282e20167a7aaaba7b23de980696e1944a004efd0079e80d675d66b263ef595b' ;; ppc64el) goRelArch='linux-ppc64le'; goRelSha256='ad3c7397ddd41a5af9d9bf3c560d3d0f8c1bdef4ac4d21819a021ea88e25efca' ;; s390x) goRelArch='linux-s390x'; goRelSha256='bd00bd27e641450f165a37a83f1e83a4ef3c626ef5675b77184e9c0147257657' ;; *) goRelArch='src'; goRelSha256='5032095fd3f641cafcce164f551e5ae873785ce7b07ca7c143aecd18f7ba4076'; echo >&2; echo >&2 "warning: current architecture ($dpkgArch) does not have a corresponding Go binary release; will be building from source"; echo >&2 ;; esac; url="https://golang.org/dl/go${GOLANG_VERSION}.${goRelArch}.tar.gz"; wget -O go.tgz "$url"; echo "${goRelSha256} *go.tgz" | sha256sum -c -; tar -C /usr/local -xzf go.tgz; rm go.tgz; if [ "$goRelArch" = 'src' ]; then echo >&2; echo >&2 'error: UNIMPLEMENTED'; echo >&2 'TODO install golang-any from jessie-backports for GOROOT_BOOTSTRAP (and uninstall after build)'; echo >&2; exit 1; fi; export PATH="/usr/local/go/bin:$PATH"; go version
2019-08-14 16:26:15 UTC/bin/sh -c #(nop) ENV GOPATH=/go
2019-08-14 16:26:15 UTC/bin/sh -c #(nop) ENV PATH=/go/bin:/usr/local/go/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
2019-08-14 16:26:15 UTC/bin/sh -c mkdir -p "$GOPATH/src" "$GOPATH/bin" && chmod -R 777 "$GOPATH"
2019-08-14 16:26:16 UTC/bin/sh -c #(nop) WORKDIR /go
2019-08-14 00:48:19 UTC
2.32 GB
668d16a799dd721ed126cc91bed49eb2c072ba1b25b50048280a4e2c5ed56e59
GIT_DOWNLOAD_URLhttps://github.com/git-for-windows/git/releases/download/v2.11.1.windows.1/MinGit-2.11.1-64-bit.zip
GIT_TAGv2.11.1.windows.1
GIT_VERSION2.11.1
GOLANG_VERSION1.11.13
GOPATHC:\gopath
[#000] sha256:d9e8b01179bfc94a5bdb1810fbd76b999aa52016001ace2d3a4c4bc7065a9601 - 66.57% (1.55 GB)
[#001] sha256:51bf23793bb9427e682e789d709508f970bcfd83500848ee1bbc693f84737d87 - 27.07% (644 MB)
[#002] sha256:4b4f61b9b22b51f78d360a5990439e914270efdd69768f4c2643a0715ed05ad9 - 0.0% (1.18 KB)
[#003] sha256:a0c8cf69de05c56de9ca67194c947fe3121ef8bdc83a61f6f3dd0c57abecae75 - 0.0% (1.18 KB)
[#004] sha256:df67ef5fda814357e551301b059bacb56cb5d5faedea289a2b9e51a1bee6530f - 0.0% (1.16 KB)
[#005] sha256:b6f7a846169acd7c50e1968bdf33623a478f8ac93718c257ec4a8efd342f2fd6 - 0.0% (1.18 KB)
[#006] sha256:c7358d1547f173b8fb4729824dc3d48938afb81a2b2d0a0cd3148b0d94e65b75 - 0.0% (1.16 KB)
[#007] sha256:7f77e8d51478292452bb5a5b467bebc448378cac0384370b2b03a7f224759333 - 1.17% (27.9 MB)
[#008] sha256:eb26e05f7c3a4287980c423b6f4347db133652f1fcb1b46ed6192e12b7705db6 - 0.0% (1.17 KB)
[#009] sha256:90c835da71ec1176890c74bbc558ebf3ef851476188fb97f0bbeec7707c013f0 - 0.01% (306 KB)
[#010] sha256:d51a1fa00884efe7446b632ff8a4f524584b5b776da612bb582ab9902433dbe9 - 0.0% (1.11 KB)
[#011] sha256:70ade8190a1346ca98942aae906cff949c7eb123b45bf101bfa539bb5d7dafc7 - 5.18% (123 MB)
[#012] sha256:001dfb7adc0d887ef4b6f5785c14abde23fdd3013f87aeec78b4a10270a9ae77 - 0.0% (1.31 KB)
Apply image 1803-RTM-amd64
2019-08-09 15:14:43 UTCInstall update 1803-amd64
2019-08-13 23:11:49 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) SHELL [powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue';]
2019-08-13 23:11:50 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV GIT_VERSION=2.11.1
2019-08-13 23:11:51 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV GIT_TAG=v2.11.1.windows.1
2019-08-13 23:11:53 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV GIT_DOWNLOAD_URL=https://github.com/git-for-windows/git/releases/download/v2.11.1.windows.1/MinGit-2.11.1-64-bit.zip
2019-08-13 23:11:54 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV GIT_DOWNLOAD_SHA256=668d16a799dd721ed126cc91bed49eb2c072ba1b25b50048280a4e2c5ed56e59
2019-08-13 23:13:20 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; Write-Host ('Downloading {0} ...' -f $env:GIT_DOWNLOAD_URL); [Net.ServicePointManager]::SecurityProtocol = [Net.SecurityProtocolType]::Tls12; Invoke-WebRequest -Uri $env:GIT_DOWNLOAD_URL -OutFile 'git.zip'; Write-Host ('Verifying sha256 ({0}) ...' -f $env:GIT_DOWNLOAD_SHA256); if ((Get-FileHash git.zip -Algorithm sha256).Hash -ne $env:GIT_DOWNLOAD_SHA256) { Write-Host 'FAILED!'; exit 1; }; Write-Host 'Expanding ...'; Expand-Archive -Path git.zip -DestinationPath C:\git\.; Write-Host 'Removing ...'; Remove-Item git.zip -Force; Write-Host 'Updating PATH ...'; $env:PATH = 'C:\git\cmd;C:\git\mingw64\bin;C:\git\usr\bin;' + $env:PATH; [Environment]::SetEnvironmentVariable('PATH', $env:PATH, [EnvironmentVariableTarget]::Machine); Write-Host 'Verifying install ...'; Write-Host ' git --version'; git --version; Write-Host 'Complete.';
2019-08-13 23:13:22 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV GOPATH=C:\gopath
2019-08-13 23:13:49 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; $newPath = ('{0}\bin;C:\go\bin;{1}' -f $env:GOPATH, $env:PATH); Write-Host ('Updating PATH: {0}' -f $newPath); [Environment]::SetEnvironmentVariable('PATH', $newPath, [EnvironmentVariableTarget]::Machine);
2019-08-14 00:43:13 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV GOLANG_VERSION=1.11.13
2019-08-14 00:48:17 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; $url = ('https://golang.org/dl/go{0}.windows-amd64.zip' -f $env:GOLANG_VERSION); Write-Host ('Downloading {0} ...' -f $url); Invoke-WebRequest -Uri $url -OutFile 'go.zip'; $sha256 = '55752de84439d0ed744ad681ae0915314516e69091fb86cab9701628ce3a65ff'; Write-Host ('Verifying sha256 ({0}) ...' -f $sha256); if ((Get-FileHash go.zip -Algorithm sha256).Hash -ne $sha256) { Write-Host 'FAILED!'; exit 1; }; Write-Host 'Expanding ...'; Expand-Archive go.zip -DestinationPath C:\; Write-Host 'Verifying install ("go version") ...'; go version; Write-Host 'Removing ...'; Remove-Item go.zip -Force; Write-Host 'Complete.';
2019-08-14 00:48:19 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) WORKDIR C:\gopath
2019-08-14 00:42:53 UTC
5.48 GB
668d16a799dd721ed126cc91bed49eb2c072ba1b25b50048280a4e2c5ed56e59
GIT_DOWNLOAD_URLhttps://github.com/git-for-windows/git/releases/download/v2.11.1.windows.1/MinGit-2.11.1-64-bit.zip
GIT_TAGv2.11.1.windows.1
GIT_VERSION2.11.1
GOLANG_VERSION1.11.13
GOPATHC:\gopath
[#000] sha256:3889bb8d808bbae6fa5a33e07093e65c31371bcf9e4c38c21be6b9af52ad1548 - 69.11% (3.79 GB)
[#001] sha256:234c9b9e497c8b74a6abb4af1355a93bba8d4376237ea7fd03f1a0609664585f - 27.95% (1.53 GB)
[#002] sha256:41b9939f2191f0b1d33a9c10cc11ca477168cba7604163bac5fda79f6ef4c4f9 - 0.0% (1.18 KB)
[#003] sha256:f339b86e716f2244311136a295827191ec5bda8a5b7a0c817246f42ca773f5c1 - 0.0% (1.16 KB)
[#004] sha256:e093c0749e8ed9483a61078608eb1c4f5be24aa7414ab8309afbcf553c906842 - 0.0% (1.16 KB)
[#005] sha256:85f25ff7e243bee0143f15b5a8228f4a25a89d069589ee9d0bf378c68e8d7693 - 0.0% (1.17 KB)
[#006] sha256:0adbf61c4b10a30e2b26bac009b8f2293ba40c5716a67cfa729e5c7adfc13887 - 0.0% (1.16 KB)
[#007] sha256:91761a030aed5bcc17b82d8bb30da3cabd3465f2a0c488ae3bb7ffcc0b322c30 - 0.5% (28.3 MB)
[#008] sha256:80dc611f3982aa17daa2e54ab2420982c013b55c5c021b6fe268a7a78dff793c - 0.0% (1.18 KB)
[#009] sha256:88a6b78afd385942525fef56fa2a05a3cbc088d12ff7f5e96cd6db348a351426 - 0.09% (5.03 MB)
[#010] sha256:2bd024e0deca1fc38dc1978edec91ff62e998f93bfa7b808df80227a8a20a876 - 0.0% (1.14 KB)
[#011] sha256:e99c6a12d1aa51df760f99b5503b73db2ce20508ba1809cec86eda2a3948e0c3 - 2.35% (132 MB)
[#012] sha256:fb192119446ac29d7df7714f93fa4c3de106d8aee43754055ae0f4975c668c17 - 0.0% (1.31 KB)
Apply image 1607-RTM-amd64
2019-08-07 20:03:59 UTCInstall update ltsc2016-amd64
2019-08-13 23:02:01 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) SHELL [powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue';]
2019-08-13 23:02:02 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV GIT_VERSION=2.11.1
2019-08-13 23:02:04 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV GIT_TAG=v2.11.1.windows.1
2019-08-13 23:02:05 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV GIT_DOWNLOAD_URL=https://github.com/git-for-windows/git/releases/download/v2.11.1.windows.1/MinGit-2.11.1-64-bit.zip
2019-08-13 23:02:06 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV GIT_DOWNLOAD_SHA256=668d16a799dd721ed126cc91bed49eb2c072ba1b25b50048280a4e2c5ed56e59
2019-08-13 23:04:02 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; Write-Host ('Downloading {0} ...' -f $env:GIT_DOWNLOAD_URL); [Net.ServicePointManager]::SecurityProtocol = [Net.SecurityProtocolType]::Tls12; Invoke-WebRequest -Uri $env:GIT_DOWNLOAD_URL -OutFile 'git.zip'; Write-Host ('Verifying sha256 ({0}) ...' -f $env:GIT_DOWNLOAD_SHA256); if ((Get-FileHash git.zip -Algorithm sha256).Hash -ne $env:GIT_DOWNLOAD_SHA256) { Write-Host 'FAILED!'; exit 1; }; Write-Host 'Expanding ...'; Expand-Archive -Path git.zip -DestinationPath C:\git\.; Write-Host 'Removing ...'; Remove-Item git.zip -Force; Write-Host 'Updating PATH ...'; $env:PATH = 'C:\git\cmd;C:\git\mingw64\bin;C:\git\usr\bin;' + $env:PATH; [Environment]::SetEnvironmentVariable('PATH', $env:PATH, [EnvironmentVariableTarget]::Machine); Write-Host 'Verifying install ...'; Write-Host ' git --version'; git --version; Write-Host 'Complete.';
2019-08-13 23:04:04 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV GOPATH=C:\gopath
2019-08-13 23:05:15 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; $newPath = ('{0}\bin;C:\go\bin;{1}' -f $env:GOPATH, $env:PATH); Write-Host ('Updating PATH: {0}' -f $newPath); [Environment]::SetEnvironmentVariable('PATH', $newPath, [EnvironmentVariableTarget]::Machine);
2019-08-14 00:36:57 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV GOLANG_VERSION=1.11.13
2019-08-14 00:42:51 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; $url = ('https://golang.org/dl/go{0}.windows-amd64.zip' -f $env:GOLANG_VERSION); Write-Host ('Downloading {0} ...' -f $url); Invoke-WebRequest -Uri $url -OutFile 'go.zip'; $sha256 = '55752de84439d0ed744ad681ae0915314516e69091fb86cab9701628ce3a65ff'; Write-Host ('Verifying sha256 ({0}) ...' -f $sha256); if ((Get-FileHash go.zip -Algorithm sha256).Hash -ne $sha256) { Write-Host 'FAILED!'; exit 1; }; Write-Host 'Expanding ...'; Expand-Archive go.zip -DestinationPath C:\; Write-Host 'Verifying install ("go version") ...'; go version; Write-Host 'Removing ...'; Remove-Item go.zip -Force; Write-Host 'Complete.';
2019-08-14 00:42:53 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) WORKDIR C:\gopath
2019-08-14 16:00:27 UTC
251 MB
1.11.13
GOPATH/go
PATH/go/bin:/usr/local/go/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
[#000] sha256:4bcb33fb87fb53a079ac35f10587fb4512b5c98188fea2132d0a0f5e47dfc51b - 17.4% (43.7 MB)
[#001] sha256:302c6e5b05015dad7c8f5cf14d06370c3484b19d42c8524db3b965aa58f61916 - 2.69% (6.76 MB)
[#002] sha256:b71efe838d31b47a74142afe2b16837c9e8936dc1c11597d065752f128bd2b04 - 3.54% (8.9 MB)
[#003] sha256:80572d08f14fdf4cbe473930bbe48abbc9533e131862d2380a7fb56eeb9e7fba - 17.94% (45.1 MB)
[#004] sha256:9d8e9b4738dd8ecddd4e11655e7fe65070fed5f53b94fdc876ffe9d29b738127 - 20.09% (50.5 MB)
[#005] sha256:7f02615f93888fa244f29b3c782869dc942c83de11bfc4cd55dcab6ec6fc5fe7 - 38.34% (96.4 MB)
[#006] sha256:22f12428cc6bfd5b9091c76b2862b52b6a4d7026254b819a92810c36f41b5f95 - 0.0% (156 Bytes)
/bin/sh -c #(nop) ADD file:a9c8bae31876c4f1a65b716e728f9b7e1573ec698b6fe8daaeb5f3dc080bb131 in /
2019-08-14 00:59:45 UTC/bin/sh -c #(nop) CMD ["bash"]
2019-08-14 03:07:03 UTC/bin/sh -c apt-get update && apt-get install -y --no-install-recommends ca-certificates curl netbase wget && rm -rf /var/lib/apt/lists/*
2019-08-14 03:07:14 UTC/bin/sh -c set -ex; if ! command -v gpg > /dev/null; then apt-get update; apt-get install -y --no-install-recommends gnupg dirmngr ; rm -rf /var/lib/apt/lists/*; fi
2019-08-14 03:07:49 UTC/bin/sh -c apt-get update && apt-get install -y --no-install-recommends git mercurial openssh-client subversion procps && rm -rf /var/lib/apt/lists/*
2019-08-14 15:58:01 UTC/bin/sh -c apt-get update && apt-get install -y --no-install-recommends g++ gcc libc6-dev make pkg-config && rm -rf /var/lib/apt/lists/*
2019-08-14 16:00:00 UTC/bin/sh -c #(nop) ENV GOLANG_VERSION=1.11.13
2019-08-14 16:00:20 UTC/bin/sh -c set -eux; dpkgArch="$(dpkg --print-architecture)"; case "${dpkgArch##*-}" in amd64) goRelArch='linux-amd64'; goRelSha256='50fe8e13592f8cf22304b9c4adfc11849a2c3d281b1d7e09c924ae24874c6daa' ;; armhf) goRelArch='linux-armv6l'; goRelSha256='513eb46158917662e1588cb89f51d11839730e46847778646c36c69c687bfdc5' ;; arm64) goRelArch='linux-arm64'; goRelSha256='e94329c97b38b5bffe9c18e84e9f521dc995e02df7696897a7626293da9ac593' ;; i386) goRelArch='linux-386'; goRelSha256='282e20167a7aaaba7b23de980696e1944a004efd0079e80d675d66b263ef595b' ;; ppc64el) goRelArch='linux-ppc64le'; goRelSha256='ad3c7397ddd41a5af9d9bf3c560d3d0f8c1bdef4ac4d21819a021ea88e25efca' ;; s390x) goRelArch='linux-s390x'; goRelSha256='bd00bd27e641450f165a37a83f1e83a4ef3c626ef5675b77184e9c0147257657' ;; *) goRelArch='src'; goRelSha256='5032095fd3f641cafcce164f551e5ae873785ce7b07ca7c143aecd18f7ba4076'; echo >&2; echo >&2 "warning: current architecture ($dpkgArch) does not have a corresponding Go binary release; will be building from source"; echo >&2 ;; esac; url="https://golang.org/dl/go${GOLANG_VERSION}.${goRelArch}.tar.gz"; wget -O go.tgz "$url"; echo "${goRelSha256} *go.tgz" | sha256sum -c -; tar -C /usr/local -xzf go.tgz; rm go.tgz; if [ "$goRelArch" = 'src' ]; then echo >&2; echo >&2 'error: UNIMPLEMENTED'; echo >&2 'TODO install golang-any from jessie-backports for GOROOT_BOOTSTRAP (and uninstall after build)'; echo >&2; exit 1; fi; export PATH="/usr/local/go/bin:$PATH"; go version
2019-08-14 16:00:24 UTC/bin/sh -c #(nop) ENV GOPATH=/go
2019-08-14 16:00:25 UTC/bin/sh -c #(nop) ENV PATH=/go/bin:/usr/local/go/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
2019-08-14 16:00:26 UTC/bin/sh -c mkdir -p "$GOPATH/src" "$GOPATH/bin" && chmod -R 777 "$GOPATH"
2019-08-14 16:00:27 UTC/bin/sh -c #(nop) WORKDIR /go
2019-08-14 21:07:02 UTC
267 MB
1.11.13
GOPATH/go
PATH/go/bin:/usr/local/go/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
[#000] sha256:2bb46725cbe6340fc7280f09cfba7e2f7961e9b721fcde54f0baed1acb6a84dd - 17.55% (46.9 MB)
[#001] sha256:a6300c19b571c63086aa2d4ff128ffcc4b8cc65154d8a1b6d93b00b70f903d20 - 2.74% (7.32 MB)
[#002] sha256:74cfc1e6fc76196d211b0b8cfa30397e632aa18eec1a3cf48fe5a66bccb01bd1 - 3.56% (9.51 MB)
[#003] sha256:27a9a35b65b82670d951db67d8dd1df456740121cf57d1b46b582b115d9cfd02 - 18.6% (49.7 MB)
[#004] sha256:97502322fb949dcd9c2ca4193861de953ac929e98701504a0db9576e0e7fdad7 - 22.25% (59.5 MB)
[#005] sha256:75abecabd798db72668e2b2c09efafe4bbc1283f5543a5df726b046f01feded6 - 35.31% (94.4 MB)
[#006] sha256:6796b3f252bf452214bd41d4a4e58b3c54e2152fbbaa71f074c0ab1334135da1 - 0.0% (156 Bytes)
/bin/sh -c #(nop) ADD file:f63b119fbe465bf5c6ca8b15f40bc0103b3e00d68628a80d1025b38e536a46b7 in /
2019-08-14 00:40:45 UTC/bin/sh -c #(nop) CMD ["bash"]
2019-08-14 02:30:03 UTC/bin/sh -c apt-get update && apt-get install -y --no-install-recommends ca-certificates curl netbase wget && rm -rf /var/lib/apt/lists/*
2019-08-14 02:30:14 UTC/bin/sh -c set -ex; if ! command -v gpg > /dev/null; then apt-get update; apt-get install -y --no-install-recommends gnupg dirmngr ; rm -rf /var/lib/apt/lists/*; fi
2019-08-14 02:30:48 UTC/bin/sh -c apt-get update && apt-get install -y --no-install-recommends git mercurial openssh-client subversion procps && rm -rf /var/lib/apt/lists/*
2019-08-14 21:04:50 UTC/bin/sh -c apt-get update && apt-get install -y --no-install-recommends g++ gcc libc6-dev make pkg-config && rm -rf /var/lib/apt/lists/*
2019-08-14 21:06:44 UTC/bin/sh -c #(nop) ENV GOLANG_VERSION=1.11.13
2019-08-14 21:06:56 UTC/bin/sh -c set -eux; dpkgArch="$(dpkg --print-architecture)"; case "${dpkgArch##*-}" in amd64) goRelArch='linux-amd64'; goRelSha256='50fe8e13592f8cf22304b9c4adfc11849a2c3d281b1d7e09c924ae24874c6daa' ;; armhf) goRelArch='linux-armv6l'; goRelSha256='513eb46158917662e1588cb89f51d11839730e46847778646c36c69c687bfdc5' ;; arm64) goRelArch='linux-arm64'; goRelSha256='e94329c97b38b5bffe9c18e84e9f521dc995e02df7696897a7626293da9ac593' ;; i386) goRelArch='linux-386'; goRelSha256='282e20167a7aaaba7b23de980696e1944a004efd0079e80d675d66b263ef595b' ;; ppc64el) goRelArch='linux-ppc64le'; goRelSha256='ad3c7397ddd41a5af9d9bf3c560d3d0f8c1bdef4ac4d21819a021ea88e25efca' ;; s390x) goRelArch='linux-s390x'; goRelSha256='bd00bd27e641450f165a37a83f1e83a4ef3c626ef5675b77184e9c0147257657' ;; *) goRelArch='src'; goRelSha256='5032095fd3f641cafcce164f551e5ae873785ce7b07ca7c143aecd18f7ba4076'; echo >&2; echo >&2 "warning: current architecture ($dpkgArch) does not have a corresponding Go binary release; will be building from source"; echo >&2 ;; esac; url="https://golang.org/dl/go${GOLANG_VERSION}.${goRelArch}.tar.gz"; wget -O go.tgz "$url"; echo "${goRelSha256} *go.tgz" | sha256sum -c -; tar -C /usr/local -xzf go.tgz; rm go.tgz; if [ "$goRelArch" = 'src' ]; then echo >&2; echo >&2 'error: UNIMPLEMENTED'; echo >&2 'TODO install golang-any from jessie-backports for GOROOT_BOOTSTRAP (and uninstall after build)'; echo >&2; exit 1; fi; export PATH="/usr/local/go/bin:$PATH"; go version
2019-08-14 21:07:00 UTC/bin/sh -c #(nop) ENV GOPATH=/go
2019-08-14 21:07:01 UTC/bin/sh -c #(nop) ENV PATH=/go/bin:/usr/local/go/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
2019-08-14 21:07:02 UTC/bin/sh -c mkdir -p "$GOPATH/src" "$GOPATH/bin" && chmod -R 777 "$GOPATH"
2019-08-14 21:07:02 UTC/bin/sh -c #(nop) WORKDIR /go
2019-08-14 21:31:49 UTC
289 MB
1.11.13
GOPATH/go
PATH/go/bin:/usr/local/go/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
[#000] sha256:03b1f5c00f07e8786dc756db6872c8c9782321fa8e09dd9cfceb47be76c8f133 - 17.87% (51.6 MB)
[#001] sha256:a7efe1c7f72c9ea35f3dd860a1cf5443305f8b667583f13e12e8cbdd01a0cf4d - 2.72% (7.86 MB)
[#002] sha256:696c6243e26f01e39f03e6eea0f9c5001b33e58f0a97eebdc0354fd61d8923d4 - 3.54% (10.2 MB)
[#003] sha256:0c2cc5896787a0bab936fca0dcfc7fcc17dba4a50fb09484db95ce7ea44ea617 - 18.95% (54.7 MB)
[#004] sha256:abcd8728bc16c2add80c6c3505fc714dc2953ec4c3afc19f05f2878fa1ffda9b - 24.23% (70 MB)
[#005] sha256:712aaf382f1195b650fbb2e67efe7801ce10e384a235cb6bb1be520eaf47db89 - 32.68% (94.4 MB)
[#006] sha256:cdcbafc2ca1e688de26f26f91b2bb46144651c42576d9964634defe49315d39d - 0.0% (155 Bytes)
/bin/sh -c #(nop) ADD file:2c27804892e52c733f225021f924240d4123d45a2bc5859479e767735e812079 in /
2019-08-14 00:24:02 UTC/bin/sh -c #(nop) CMD ["bash"]
2019-08-14 02:52:30 UTC/bin/sh -c apt-get update && apt-get install -y --no-install-recommends ca-certificates curl netbase wget && rm -rf /var/lib/apt/lists/*
2019-08-14 02:52:52 UTC/bin/sh -c set -ex; if ! command -v gpg > /dev/null; then apt-get update; apt-get install -y --no-install-recommends gnupg dirmngr ; rm -rf /var/lib/apt/lists/*; fi
2019-08-14 02:53:47 UTC/bin/sh -c apt-get update && apt-get install -y --no-install-recommends git mercurial openssh-client subversion procps && rm -rf /var/lib/apt/lists/*
2019-08-14 21:27:19 UTC/bin/sh -c apt-get update && apt-get install -y --no-install-recommends g++ gcc libc6-dev make pkg-config && rm -rf /var/lib/apt/lists/*
2019-08-14 21:31:15 UTC/bin/sh -c #(nop) ENV GOLANG_VERSION=1.11.13
2019-08-14 21:31:34 UTC/bin/sh -c set -eux; dpkgArch="$(dpkg --print-architecture)"; case "${dpkgArch##*-}" in amd64) goRelArch='linux-amd64'; goRelSha256='50fe8e13592f8cf22304b9c4adfc11849a2c3d281b1d7e09c924ae24874c6daa' ;; armhf) goRelArch='linux-armv6l'; goRelSha256='513eb46158917662e1588cb89f51d11839730e46847778646c36c69c687bfdc5' ;; arm64) goRelArch='linux-arm64'; goRelSha256='e94329c97b38b5bffe9c18e84e9f521dc995e02df7696897a7626293da9ac593' ;; i386) goRelArch='linux-386'; goRelSha256='282e20167a7aaaba7b23de980696e1944a004efd0079e80d675d66b263ef595b' ;; ppc64el) goRelArch='linux-ppc64le'; goRelSha256='ad3c7397ddd41a5af9d9bf3c560d3d0f8c1bdef4ac4d21819a021ea88e25efca' ;; s390x) goRelArch='linux-s390x'; goRelSha256='bd00bd27e641450f165a37a83f1e83a4ef3c626ef5675b77184e9c0147257657' ;; *) goRelArch='src'; goRelSha256='5032095fd3f641cafcce164f551e5ae873785ce7b07ca7c143aecd18f7ba4076'; echo >&2; echo >&2 "warning: current architecture ($dpkgArch) does not have a corresponding Go binary release; will be building from source"; echo >&2 ;; esac; url="https://golang.org/dl/go${GOLANG_VERSION}.${goRelArch}.tar.gz"; wget -O go.tgz "$url"; echo "${goRelSha256} *go.tgz" | sha256sum -c -; tar -C /usr/local -xzf go.tgz; rm go.tgz; if [ "$goRelArch" = 'src' ]; then echo >&2; echo >&2 'error: UNIMPLEMENTED'; echo >&2 'TODO install golang-any from jessie-backports for GOROOT_BOOTSTRAP (and uninstall after build)'; echo >&2; exit 1; fi; export PATH="/usr/local/go/bin:$PATH"; go version
2019-08-14 21:31:40 UTC/bin/sh -c #(nop) ENV GOPATH=/go
2019-08-14 21:31:41 UTC/bin/sh -c #(nop) ENV PATH=/go/bin:/usr/local/go/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
2019-08-14 21:31:45 UTC/bin/sh -c mkdir -p "$GOPATH/src" "$GOPATH/bin" && chmod -R 777 "$GOPATH"
2019-08-14 21:31:49 UTC/bin/sh -c #(nop) WORKDIR /go
2019-08-14 21:35:00 UTC
261 MB
1.11.13
GOPATH/go
PATH/go/bin:/usr/local/go/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
[#000] sha256:1deefd4000e69ac6da7cac46dd8d8e3eafbb5b9e35a957bc00b5ac3dbdad7101 - 17.87% (46.7 MB)
[#001] sha256:44e1d1149fe1396ce2ebdf30fbee1b951040add5ff8c1c84c76f80f11f9d8a75 - 2.69% (7.03 MB)
[#002] sha256:65cacb24ae48e0fa65b8c9b3f086d31398252f258fac0b4cb09c3e831514f1c0 - 3.6% (9.41 MB)
[#003] sha256:f502e4cf2c3ebca4dc078e4edc9d19c924e91f57289a6228b50c46d50102031a - 18.73% (48.9 MB)
[#004] sha256:5f791fbf89c435ec186318ccb114cde34c6512c299810569f40b5b0fe0fa858f - 20.65% (53.9 MB)
[#005] sha256:8d4cf1a563b7bf48c647abd03f3d3ba9e4aa9d3793b09fc292af4829b33b58ce - 36.45% (95.2 MB)
[#006] sha256:e7529916d482d88382085de7cd3cf66fb321c1dedcd10d2de58aba441398ab89 - 0.0% (127 Bytes)
/bin/sh -c #(nop) ADD file:5161b24251b2c6b1dbfb77c5025f701e0b8d901d4f8ae3954395e5a02939e16a in /
2019-08-14 00:42:55 UTC/bin/sh -c #(nop) CMD ["bash"]
2019-08-14 02:52:22 UTC/bin/sh -c apt-get update && apt-get install -y --no-install-recommends ca-certificates curl netbase wget && rm -rf /var/lib/apt/lists/*
2019-08-14 02:52:37 UTC/bin/sh -c set -ex; if ! command -v gpg > /dev/null; then apt-get update; apt-get install -y --no-install-recommends gnupg dirmngr ; rm -rf /var/lib/apt/lists/*; fi
2019-08-14 02:53:26 UTC/bin/sh -c apt-get update && apt-get install -y --no-install-recommends git mercurial openssh-client subversion procps && rm -rf /var/lib/apt/lists/*
2019-08-14 21:31:58 UTC/bin/sh -c apt-get update && apt-get install -y --no-install-recommends g++ gcc libc6-dev make pkg-config && rm -rf /var/lib/apt/lists/*
2019-08-14 21:34:36 UTC/bin/sh -c #(nop) ENV GOLANG_VERSION=1.11.13
2019-08-14 21:34:57 UTC/bin/sh -c set -eux; dpkgArch="$(dpkg --print-architecture)"; case "${dpkgArch##*-}" in amd64) goRelArch='linux-amd64'; goRelSha256='50fe8e13592f8cf22304b9c4adfc11849a2c3d281b1d7e09c924ae24874c6daa' ;; armhf) goRelArch='linux-armv6l'; goRelSha256='513eb46158917662e1588cb89f51d11839730e46847778646c36c69c687bfdc5' ;; arm64) goRelArch='linux-arm64'; goRelSha256='e94329c97b38b5bffe9c18e84e9f521dc995e02df7696897a7626293da9ac593' ;; i386) goRelArch='linux-386'; goRelSha256='282e20167a7aaaba7b23de980696e1944a004efd0079e80d675d66b263ef595b' ;; ppc64el) goRelArch='linux-ppc64le'; goRelSha256='ad3c7397ddd41a5af9d9bf3c560d3d0f8c1bdef4ac4d21819a021ea88e25efca' ;; s390x) goRelArch='linux-s390x'; goRelSha256='bd00bd27e641450f165a37a83f1e83a4ef3c626ef5675b77184e9c0147257657' ;; *) goRelArch='src'; goRelSha256='5032095fd3f641cafcce164f551e5ae873785ce7b07ca7c143aecd18f7ba4076'; echo >&2; echo >&2 "warning: current architecture ($dpkgArch) does not have a corresponding Go binary release; will be building from source"; echo >&2 ;; esac; url="https://golang.org/dl/go${GOLANG_VERSION}.${goRelArch}.tar.gz"; wget -O go.tgz "$url"; echo "${goRelSha256} *go.tgz" | sha256sum -c -; tar -C /usr/local -xzf go.tgz; rm go.tgz; if [ "$goRelArch" = 'src' ]; then echo >&2; echo >&2 'error: UNIMPLEMENTED'; echo >&2 'TODO install golang-any from jessie-backports for GOROOT_BOOTSTRAP (and uninstall after build)'; echo >&2; exit 1; fi; export PATH="/usr/local/go/bin:$PATH"; go version
2019-08-14 21:34:58 UTC/bin/sh -c #(nop) ENV GOPATH=/go
2019-08-14 21:34:59 UTC/bin/sh -c #(nop) ENV PATH=/go/bin:/usr/local/go/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
2019-08-14 21:35:00 UTC/bin/sh -c mkdir -p "$GOPATH/src" "$GOPATH/bin" && chmod -R 777 "$GOPATH"
2019-08-14 21:35:00 UTC/bin/sh -c #(nop) WORKDIR /go